如果执行 npm install 安装依赖失败,报以下错误:
Running postinstall script, failed in 6.8s

这意味着在安装某些依赖包的时候,该依赖包的 package.json 文件中配置了 postinstall 钩子脚本,而该脚本由于某些原因执行失败,你又不能修改这个包里面的内容,该怎么办呢?

一个解决方案是安装依赖时添加 --ignore-scripts 参数:
npm install --ignore-scripts
展开
6
评论